<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:ignore="MissingDefaultResource">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingBottom="12dp">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp">

            <androidx.cardview.widget.CardView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:elevation="0dp"
                android:visibility="visible"
                app:cardCornerRadius="4dp"
                app:cardElevation="0dp">

                <RelativeLayout
                    android:layout_width="48dp"
                    android:layout_height="48dp">

                    <ImageView
                        android:id="@+id/image"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop"
                        android:src="@mipmap/app_logo" />

                    <RelativeLayout
                        android:id="@+id/listPlayView"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/black_60"
                        android:visibility="gone">

                        <melody.offline.music.view.MusicBarsView
                            android:layout_width="wrap_content"
                            android:layout_height="16dp"
                            android:layout_centerInParent="true" />

                    </RelativeLayout>

                </RelativeLayout>

            </androidx.cardview.widget.CardView>

        </RelativeLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <melody.offline.music.view.MarqueeTextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/medium_font"
                android:maxLines="1"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="14dp" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:src="@drawable/download_green_done_icon" />

                <TextView
                    android:id="@+id/size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:fontFamily="@font/regular_font"
                    android:text="@string/app_name"
                    android:textColor="@color/white_60"
                    android:textSize="12dp" />

                <melody.offline.music.view.MarqueeTextView
                    android:id="@+id/name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:fontFamily="@font/regular_font"
                    android:maxLines="1"
                    android:text="@string/app_name"
                    android:textColor="@color/white_60"
                    android:textSize="12dp" />

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/moreBtn"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/three_dots_icon" />

            </LinearLayout>

        </LinearLayout>
    </LinearLayout>
</LinearLayout>